- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QTextTableCell Class Reference

Search for all occurrences

## Detailed Description

Definition at line 59 of file qtexttable.h.

`#include <qtexttable.h>`

List of all members.

## Public Member Functions
| QTextTableCell ()
| ~QTextTableCell ()
| QTextTableCell (const QTextTableCell &o)
QTextTableCell & | operator= (const QTextTableCell &o)
void | setFormat (const QTextCharFormat &format)
QTextCharFormat | format () const
int | row () const
int | column () const
int | rowSpan () const
int | columnSpan () const
bool | isValid () const
QTextCursor | firstCursorPosition () const
QTextCursor | lastCursorPosition () const
int | firstPosition () const
int | lastPosition () const
bool | operator== (const QTextTableCell &other) const
bool | operator!= (const QTextTableCell &other) const
QTextFrame::iterator | begin () const
QTextFrame::iterator | end () const
int | tableCellFormatIndex () const
## Friends
class | QTextTable

## Constructor & Destructor Documentation

QTextTableCell | ( |  | ) | `[inline]`

Definition at line 62 of file qtexttable.h.

    : table(0) {}

~QTextTableCell | ( |  | ) | `[inline]`

Definition at line 63 of file qtexttable.h.

    {}

QTextTableCell | ( | const QTextTableCell & | o | ) | `[inline]`

Definition at line 64 of file qtexttable.h.

    : table(o.table), fragment(o.fragment) {}

## Member Function Documentation

QTextTableCell& operator= | ( | const QTextTableCell & | o | ) | `[inline]`

Definition at line 65 of file qtexttable.h.

        { table = o.table; fragment = o.fragment; return *this; }

void setFormat | ( | const QTextCharFormat & | format | ) |

Search for all occurrences

QTextCharFormat format | ( |  | ) | const

Search for all occurrences

int row | ( |  | ) | const

Search for all occurrences

int column | ( |  | ) | const

Search for all occurrences

int rowSpan | ( |  | ) | const

Search for all occurrences

int columnSpan | ( |  | ) | const

Search for all occurrences

bool isValid | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 77 of file qtexttable.h.

    { return table != 0; }

QTextCursor firstCursorPosition | ( |  | ) | const

Search for all occurrences

QTextCursor lastCursorPosition | ( |  | ) | const

Search for all occurrences

int firstPosition | ( |  | ) | const

Search for all occurrences

int lastPosition | ( |  | ) | const

Search for all occurrences

bool operator== | ( | const QTextTableCell & | other | ) | const `[inline]`

Definition at line 84 of file qtexttable.h.

        { return table == other.table && fragment == other.fragment; }

bool operator!= | ( | const QTextTableCell & | other | ) | const `[inline]`

Definition at line 86 of file qtexttable.h.

        { return !operator==(other); }

QTextFrame::iterator begin | ( |  | ) | const

Search for all occurrences

QTextFrame::iterator end | ( |  | ) | const

Search for all occurrences

int tableCellFormatIndex | ( |  | ) | const

Search for all occurrences

## Friends And Related Function Documentation

friend class QTextTable `[friend]`

Search for all occurrences

Definition at line 95 of file qtexttable.h.

The documentation for this class was generated from the following file:

- QtGui/qtexttable.h

QTextTableCell QTextTableCell QTextTableCell QTextTableCell QTextTableCell QTextTableCell QTextTableCell QTextTableCell QTextTableCell QTextTableCell
QTextTableCell QTextTableCell QTextTableCell QTextTableCell QTextTableCell QTextTableCell QTextTableCell QTextTableCell QTextTableCell QTextTableCell